# Class ParagraphProperties

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - ParagraphProperties

- Defined in src/file/paragraph/properties.ts:55

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml
push

## Constructors

### constructor

- new ParagraphProperties(options?: IParagraphPropertiesOptions): ParagraphProperties

- #### Parameters

  - ##### `Optional` options: IParagraphPropertiesOptions

  #### Returns ParagraphProperties

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in src/file/paragraph/properties.ts:59

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in src/file/paragraph/properties.ts:181

### push

- push(item: XmlComponent): void

- #### Parameters

  - ##### item: XmlComponent

  #### Returns void

  - Defined in src/file/paragraph/properties.ts:177

Generated using TypeDoc